## org.apache.fop.svg
Class SVGObj

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.svg.SVGObj

Direct Known Subclasses:
  A, AltGlyph, Animate, AnimateColor, AnimateMotion, AnimateTransform, Circle, ClipPath, Cursor, Defs, Desc, Ellipse, Filter, Font, G, Glyph, HKern, Image, Line, LinearGradient, Marker, Mask, MissingGlyph, Path, Pattern, Polygon, Polyline, RadialGradient, Rect, Set, Stop, Style, Switch, Symbol, Text, TextPath, Title, TRef, TSpan, Use, VKern

public abstract class SVGObj
extends FObj
implements GraphicsCreator

Since SVG objects are not layed out then this class checks that this element is not being layed out inside some incorrect element.

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`SVGObj(FObj parent, PropertyList propertyList)`

Method Summary
`org.w3c.dom.svg.SVGElement` `createGraphic()`
`Status` `layout(Area area)` layout this formatting object.

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, generatesReferenceAreas, getContentWidth, getName, getProperty, maker, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGObj

    public SVGObj(FObj parent,
                  PropertyList propertyList)

  Parameters:
    `parent` - the parent formatting object
    `propertyList` - the explicit properties of this object

Method Detail

### createGraphic

    public org.w3c.dom.svg.SVGElement createGraphic()

  Specified by:
    createGraphic in interface GraphicsCreator

### layout

    public Status layout(Area area)
                  throws FOPException

  layout this formatting object.
  Overrides:
    layout in class FObj
  Parameters:
    `area` - the area to layout the object into
  Returns:
    the status of the layout

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.